Bug 201773 - foundStringMatchIndex in FindController::findString gets reset on page scroll
Summary: foundStringMatchIndex in FindController::findString gets reset on page scroll
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-09-13 14:13 PDT by mmokary
Modified: 2019-10-07 11:37 PDT (History)
4 users (show)

See Also:


Attachments
Patch (2.90 KB, patch)
2019-10-04 13:17 PDT, mmokary
no flags Details | Formatted Diff | Diff
Patch (4.04 KB, patch)
2019-10-04 16:53 PDT, mmokary
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mmokary 2019-09-13 14:13:51 PDT
When moving through string matches on a page, the foundStringMatchIndex is sometimes reset to 0. Seems to happen where two load chunks meet -- I don't know about WebKit's page loading strategy but I assume pages are rendered in chunks and the counter reset happens where I would guess the cutoffs for chunk loading are.

This is reproducible, for example, on the Google results page for "cheese" if you search for the string "cheese."
Comment 1 Radar WebKit Bug Importer 2019-09-13 14:14:04 PDT
<rdar://problem/55351892>
Comment 2 mmokary 2019-10-04 13:17:56 PDT
Created attachment 380241 [details]
Patch
Comment 3 Tim Horton 2019-10-04 13:20:49 PDT
Comment on attachment 380241 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=380241&action=review

> Source/WebKit/ChangeLog:5
> +

radar # should be here if it exists ahead of time (see other patches on trac.webkit.org)
Comment 4 mmokary 2019-10-04 16:53:00 PDT
Created attachment 380267 [details]
Patch
Comment 5 WebKit Commit Bot 2019-10-07 11:37:43 PDT
Comment on attachment 380267 [details]
Patch

Clearing flags on attachment: 380267

Committed r250779: <https://trac.webkit.org/changeset/250779>
Comment 6 WebKit Commit Bot 2019-10-07 11:37:45 PDT
All reviewed patches have been landed.  Closing bug.